Application: gvSIG desktop - gvSIG feature requests #753
Set EPSG:4326 as default CRS for new views.
06/07/2012 05:27 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: CRS

Target version: 2.0.0-devel-2052

gvSIG version: 2.0.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

For new gvSIG users or users that install gvSIG for first time in a computer is much more useful that the default CRS in new views is
EPSG:4326 (WGS84-lat/lon) than EPSG:23030 (UTM-zone30) which is the current one.

History

#1 - 06/07/2012 05:28 PM - Manuel Madrid

- Tracker changed from gvSIG add-on requests to gvSIG feature requests
- Category set to CRS

- gvSIG version set to 2.0.0

- Has patch set to No

#2 - 06/07/2012 07:47 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#3 - 06/14/2012 01:09 PM - Francisco Puga

| clone this ticket for 1.x branch #779

and there is a thread in the mailing list
http://osgeo-org.1560.n6.nabble.com/Set-EPSG-4326-as-default-CRS-for-new-views-gvSIG-feature-requests-753-td4981221.html

#4 - 08/07/2012 09:03 AM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#5 - 08/07/2012 09:45 AM - Juan Lucas Dominguez

The most adequate place to centralize the management of the default CRS for new views is perhaps the project "libFMap_mapcontext"”
("MapContextManager" interface). We can add a new method, like:

public IProjection getDefaultCRS();

and all other places where it is nedded will call it. That method will read the app preferences to see if a default CRS is available. If not, it will return a
hardcoded one (EPSG:4326).

Any comments?
http://osgeo-org.1560.n6.nabble.com/Set-EPSG-4326-as-default-CRS-for-new-views-gvSIG-feature-requests-753-td4981221.html

#6 - 08/21/2012 11:50 AM - Juan Lucas Dominguez

- Status changed from New to Fixed

gvsig-desktop:r38769

Adding method to (Default)MapContextManager to centralize and change default CRS.

- The new method is "IProjection getDefaultCRS()" in MapContextManager and returns EPSG:4326 in the default (and only) implementation.

- Libraries in gvSIG core are now using it

- The implementation of "getDefaultProjection()" in ProjectPreferences will also use it if there is not a user-defined default CRS, so plugins using this
method are not disturbed.

- The only problem is if a plugin implements MapContextManager which is very unlikely.

#7 - 08/30/2012 02:15 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#8 - 11/13/2012 12:12 PM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2057. By default for new users to gvSIG 2.00, 4326 as default CRS for new views.

#9 - 11/13/2012 12:12 PM - Maria Maluenda

Closed in the gvSIG build 2057. By default for new users to gvSIG 2.00, 4326 as default CRS for new views.
